Get Requests
https://app.untetherlabs.com/api/v1/time-off/requestsGet all time off requests. Can be filtered if necessary.
Query parameters#
providerIduuidFilter to requests for a specific provider.
teamIdone ofFilter to requests for providers in specific teams.
Option 1 — uuid
Option 2 — uuid[]
policyIdone ofFilter to requests for specific policies.
Option 1 — uuid
Option 2 — uuid[]
startDatestringFilter to requests whose start date is on or after the given timestamp.
endDatestringFilter to requests whose end date is earlier than the provided timestamp.
statusTimeOffRequestStatus- pending
- approved
- rejected
- cancelled
- pending_sync
- sync_failed
querystringexpandstringAvailable expansions: policy, provider, rejectedBy
See Query Parameters for more information on expansions.
sortstringAvailable fields: createdAt, startDate
See Query Parameters for more information on sorting.
pageSizenumber· default 20 · min 1 · max 200cursorstringResponse 200#
itemsTimeOffRequest[]Show TimeOffRequest properties
createdAtstringstatusTimeOffRequestStatus- pending
- approved
- rejected
- cancelled
- pending_sync
- sync_failed
startDatestringendDatestringpolicyIduuidpolicyTimeOffPolicyShow TimeOffPolicy properties
createdAtstringtypeenum- bereavement
- floating-holiday
- holiday-pay
- jury-duty
- learning-and-development
- paid-time-off
- vacation
- parental-leave
- personal-day
- sick
- volunteer
- weather
- wellness
- flex-day
- marriage-code
- unpaid-day
namestringdescriptionstring | nullaccrualUnitone ofOption 1 — AccrualUnit
- hours
- days
propertiesanypayCodeIduuid | nullThe pay code for which associated time will be paid out.
payCodeone ofOption 1 — PayCode
namestringshorthandNamestringhexColorstringtypeenum- hours
- days
- money
valuenumberproviderIduuidproviderProviderShow Provider properties
namestring | nullemailstringhireDatestring | nullstatusenum- onboarding
- active
- dismissed
- unmanaged
teamIduuid | nulllicensedRegionsstring[]employmentTypeuuid | nullnotestring | nulldailyHoursDailyHoursdatestringISO timestamp of the date for the daily hours.
durationnumberNumber of hours requested off for this day.
paidHoursnumberThe total number of hours that will be paid out for this time off request.
rejectedByIduuidOnly present for rejected time off requests, the user who rejected the request.
rejectedByUsertypeUserType- user
- bot
namestringemailstringstatusEmploymentStatus- onboarding
- active
- dismissed
- unmanaged
isAdminbooleanrejectionReasonstring | nullOnly present for rejected time off requests, reason may be null for unspecified.
syncErrorobject | nullPresent for pending_sync requests, contains the latest Rippling sync status and error message.
statusenum- success
- failed
messagestring | nullcreatedAtstringconflictResolutionenum | nullThe shift conflict resolution strategy selected when this request was approved.
- delete
- deleteWithOpen
- callout
- calloutWithOpen
- keep
- keepWithOpen
- null
isFullDayboolean | nullWhether the request blocks whole calendar days rather than the dailyHours windows. Null for requests created before this field existed; treated as full-day when the policy accrues in days.
cursorstring